Bug 104885 - opengl analyzers use excessive CPU
Summary: opengl analyzers use excessive CPU
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 1.2.3
Platform: Debian testing Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-01 04:11 UTC by Adeodato Simó
Modified: 2006-06-11 12:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adeodato Simó 2005-05-01 04:11:15 UTC
Debian minor bug #298616 (http://bugs.debian.org/298616), reported by Dan 
Torop <dtorop933@gmail.com>: 
 
---------------------------8<---------------------------------------------- 
The OpenGL frequency analyzers tend to use about 75-80% of the CPU on 
my machine (Pentium M 1.6 GHZ, Radeon R250 chipset, proprietary ATI 
drivers).  At all other times (when these drivers are disabled), 
amarok uses < 10% of CPU. 
 
The analyzers are scheduled to update every 15 milliseconds (to give 
approx. 66 fps).  I adjusted them to update every 30 milliseconds (33 
fps), and CPU usage dropped to < 10% again, and the visual quality of 
the analyzer still was good.  A patch to decrease frame rate is 
included. 
 
A better solution might be to enable a right-click frame rate menu as 
in the block analyzer.  Even nicer would be if the analyzers were 
smart enough to take only a reasonable amount of system resources.  
There may also be useful optimizations to the analyzer code? 
---------------------------8<---------------------------------------------- 
 
A "patch" can be found at 
http://bugs.debian.org/cgi-bin/bugreport.cgi/gl-analyze.patch?bug=298616&msg=3&att=1.
Comment 1 Seb Ruiz 2005-05-01 04:27:09 UTC
We have found the results to be the opposite. OpenGL analyzers seem to use 
much less CPU time than the default analyser.


On Sun, 1 May 2005 12:11 pm, Adeodato Simó wrote:
[bugs.kde.org quoted mail]
Comment 2 Alexandre Oliveira 2006-03-01 07:43:58 UTC
Is it still a problem?
Comment 3 Alexandre Oliveira 2006-04-24 05:30:27 UTC
Well, yes, they seem to actually use less CPU.